Index: examples/scaling_tests/plotting/gen_big
===================================================================
--- examples/scaling_tests/plotting/gen_big	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
+++ examples/scaling_tests/plotting/gen_big	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
@@ -0,0 +1,44 @@
+#!/bin/sh 
+
+SET=$1
+filename=${SET}_orig
+if [ ! -e $filename ] ; then
+    exit
+fi
+
+## generate the plot script
+make_script() {
+cat <<FIN > $DATA.p
+set title "$TITLE"
+set terminal jpeg medium size 640,480
+set output "$DATA.jpeg"
+set   autoscale    
+unset log
+unset label                            
+set xtic auto                         
+set ytic auto                          
+set xlabel "Number of Credentials"
+set ylabel "$TYPE time ($TIME)"
+set xr [0:*]
+set yr [0:*]
+plot '$DATA1.dat' using $X:$Y title '$DATA1' with linespoints lt 8, \\
+'$DATA2.dat' using $X:$Y title '$DATA2' with linespoints lt 3, \\
+'$DATA3.dat' using $X:$Y title '$DATA3' with linespoints lt 1, \\
+'$DATA4.dat' using $X:$Y title '$DATA4' with linespoints lt 2
+FIN
+}
+
+X=1
+Y=2
+### 
+TYPE='Query Time'
+TITLE='Various Query Time'
+DATA=${SET}_query
+DATA1=${SET}_mgood
+DATA2=${SET}_good1
+DATA3=${SET}_mbad
+DATA4=${SET}_bad1
+TIME='microsec'
+make_script
+gnuplot $DATA.p
+
Index: examples/scaling_tests/plotting/gen_med
===================================================================
--- examples/scaling_tests/plotting/gen_med	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
+++ examples/scaling_tests/plotting/gen_med	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
@@ -0,0 +1,55 @@
+#!/bin/sh 
+
+SET=$1
+filename=${SET}_orig
+if [ ! -e $filename ] ; then
+    exit
+fi
+
+## generate the plot script
+make_script() {
+cat <<FIN > $DATA.p
+set title "$TITLE"
+set terminal jpeg medium size 640,480
+set output "$DATA.jpeg"
+set   autoscale    
+unset log
+unset label                            
+set xtic auto                         
+set ytic auto                          
+set xlabel "Number of Credentials"
+set ylabel "$TYPE time ($TIME)"
+set xr [0:*]
+set yr [0:*]
+plot '$DATA2.dat' using $X:$Y title '$TITLE2' with linespoints lt 8, \\
+'$DATA1.dat' using $X:$Y:(\$$Y-\$$Z):(\$$Y+\$$Z) notitle with errorbars lt 10, \\
+'$DATA1.dat' using $X:$Y title '$TITLE1' with linespoints lt 1
+FIN
+}
+
+X=1
+Y=2
+Z=3
+### 
+TYPE='Query Time'
+TITLE='Valid Query Time'
+DATA=${SET}_goodquery
+DATA1=${SET}_mgood
+DATA2=${SET}_good1
+TITLE1='average'
+TITLE2='first'
+TIME='microsec'
+make_script
+gnuplot $DATA.p
+### 
+TYPE='Query Time'
+TITLE='Invalid Query Time'
+DATA=${SET}_badquery
+DATA1=${SET}_mbad
+DATA2=${SET}_bad1
+TITLE1='average'
+TITLE2='first'
+TIME='microsec'
+make_script
+gnuplot $DATA.p
+
Index: examples/scaling_tests/plotting/gen_small
===================================================================
--- examples/scaling_tests/plotting/gen_small	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
+++ examples/scaling_tests/plotting/gen_small	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
@@ -0,0 +1,53 @@
+#!/bin/sh 
+
+SET=$1
+filename=${SET}_orig
+if [ ! -e $filename ] ; then
+    exit
+fi
+
+## generate the plot script
+make_script() {
+cat <<FIN > $DATA.p
+set title "$TITLE"
+set terminal jpeg medium size 640,480
+set output "$DATA.jpeg"
+set   autoscale    
+unset log
+unset label                            
+set xtic auto                         
+set ytic auto                          
+set xr [0:*]
+set yr [0:*]
+set xlabel "Number of Credentials"
+set ylabel "$TYPE time ($TIME)"
+plot '$DATA.dat' using $X:$Y notitle with linespoints
+FIN
+}
+
+X=1
+Y=2
+### making loading script
+TYPE='Loading'
+TITLE='Credential Loading Time'
+DATA=${SET}_load
+TIME='msec'
+make_script
+gnuplot ${SET}_load.p
+
+### making average good query script
+TYPE='Successful Query'
+TITLE='Average Successful Query Time'
+DATA=${SET}_mgood
+TIME='microsec'
+make_script
+gnuplot ${SET}_mgood.p
+
+### making average bad query script
+TYPE='Unsuccessful Query'
+TITLE='Average Unsuccessful Query Time'
+DATA=${SET}_mbad
+TIME='microsec'
+make_script
+gnuplot ${SET}_mbad.p
+
Index: examples/scaling_tests/plotting/note
===================================================================
--- examples/scaling_tests/plotting/note	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
+++ examples/scaling_tests/plotting/note	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
@@ -0,0 +1,62 @@
+For example your data file, force.dat , might look like:
+
+      # This file is called   force.dat
+      # Force-Deflection data for a beam and a bar
+      # Deflection    Col-Force       Beam-Force 
+      0.000              0              0    
+      0.001            104             51
+      0.002            202            101
+      0.003            298            148
+      0.0031           290            149
+      0.004            289            201
+      0.0041           291            209
+      0.005            310            250
+      0.010            311            260
+      0.020            280            240
+
+You can display your data by typing:
+
+      gnuplot>  plot  "force.dat" using 1:2 title 'Column', \
+                      "force.dat" using 1:3 title 'Beam'
+Customization of the axis ranges, axis labels, and plot title, as well as many other features, are specified using the set command. Specific examples of the set command follow. (The numerical values used in these examples are arbitrary.) To view your changes type: replot at the gnuplot> prompt at any time.
+
+      Create a title:                  > set title "Force-Deflection Data" 
+      Put a label on the x-axis:       > set xlabel "Deflection (meters)"
+      Put a label on the y-axis:       > set ylabel "Force (kN)"
+      Change the x-axis range:         > set xrange [0.001:0.005]
+      Change the y-axis range:         > set yrange [20:500]
+      Have Gnuplot determine ranges:   > set autoscale
+      Move the key:                    > set key 0.01,100
+      Delete the key:                  > unset key
+      Put a label on the plot:         > set label "yield point" at 0.003, 260 
+      Remove all labels:               > unset label
+      Plot using log-axes:             > set logscale
+      Plot using log-axes on y-axis:   > unset logscale; set logscale y 
+      Change the tic-marks:            > set xtics (0.002,0.004,0.006,0.008)
+      Return to the default tics:      > unset xtics; set xtics auto
+
+Other features which may be customized using the set command are: arrow, border, clip, contour, grid, mapping, polar, surf
+
+Sometimes, several commands are typed to create a particular plot, and it is easy to make a typographical error when entering a command. To stream- line your plotting operations, several Gnuplot commands may be combined into a single script file. For example, the following file will create a customized display of the force-deflection data:
+
+      # Gnuplot script file for plotting data in file "force.dat"
+      # This file is called   force.p
+      set   autoscale                        # scale axes automatically
+      unset log                              # remove any log-scaling
+      unset label                            # remove any previous labels
+      set xtic auto                          # set xtics automatically
+      set ytic auto                          # set ytics automatically
+      set title "Force Deflection Data for a Beam and a Column"
+      set xlabel "Deflection (meters)"
+      set ylabel "Force (kN)"
+      set key 0.01,100
+      set label "Yield Point" at 0.003,260
+      set arrow from 0.0028,250 to 0.003,280
+      set xr [0.0:0.022]
+      set yr [0:325]
+      plot    "force.dat" using 1:2 title 'Column' with linespoints , \
+            "force.dat" using 1:3 title 'Beam' with points
+
+Then the total plot can be generated with the command: gnuplot> load 'force.p'
+
+
Index: examples/scaling_tests/plotting/run_plot
===================================================================
--- examples/scaling_tests/plotting/run_plot	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
+++ examples/scaling_tests/plotting/run_plot	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
@@ -0,0 +1,23 @@
+#!/bin/sh 
+
+type=$1
+
+rm -rf timing
+mkdir timing
+ln -s ../../plotting plot
+cp plot/gen_small timing/gen_small
+cp plot/gen_big timing/gen_big
+cp plot/gen_med timing/gen_med
+cp plot/split_it timing/split_it 
+cat ${type}_*/*.time > timing/${type}_orig
+
+cd timing
+chmod +x gen_small gen_big split_it
+
+./split_it ${type}
+./gen_small ${type}
+./gen_big ${type}
+./gen_med ${type}
+
+tar cvf ${type}_plot.tar *.jpeg
+cp *.jpeg ../../../jpegs
Index: examples/scaling_tests/plotting/split_it
===================================================================
--- examples/scaling_tests/plotting/split_it	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
+++ examples/scaling_tests/plotting/split_it	(revision 7e3f5e29f503573b501f5c9f1222d71c262d6018)
@@ -0,0 +1,26 @@
+#!/bin/sh 
+
+# either fruit_orig or likes_orig
+type=$1
+
+filename=${type}_orig
+
+if [ -e $filename ]; then
+  rm -rf ${type}_load.jpeg ${type}_load.dat
+  rm -rf ${type}_good1.jpeg ${type}_good1.dat
+  rm -rf ${type}_bad1.jpeg ${type}_bad1.dat
+  rm -rf ${type}_mgood.jpeg ${type}_mgood.dat
+  rm -rf ${type}_mbad.jpeg ${type}_mbad.dat
+
+  grep "GOOD_t" $filename | sort -n  > ${type}_mgood.dat
+  grep "GOOD_f" $filename | sort -n > ${type}_good1.dat
+  grep "BAD_t" $filename | sort -n > ${type}_mbad.dat
+  grep "BAD_f" $filename | sort -n > ${type}_bad1.dat
+  grep "LOAD" $filename | sort -n > ${type}_load.dat
+
+fi
+
+
+
+
+
